Bug 1891785 - createrepo_c fails to build with Python 3.10: Segmentation fault
Summary: createrepo_c fails to build with Python 3.10: Segmentation fault
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: createrepo_c
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: amatej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-10-27 11:11 UTC by Tomáš Hrnčiar
Modified: 2021-05-06 01:00 UTC (History)
10 users (show)

Fixed In Version: createrepo_c-0.17.1-1.fc32 createrepo_c-0.17.2-1.fc33 createrepo_c-0.17.1-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-23 15:05:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-10-27 11:11:12 UTC
createrepo_c fails to build with Python 3.10.0a1.

2: Test if reference is saved properly ... /builddir/build/BUILD/createrepo_c-0.16.1/build-py3/tests/python/tests/run_nosetests.sh: line 1:  1667 Segmentation fault      (core dumped) LD_LIBRARY_PATH=/builddir/build/BUILD/createrepo_c-0.16.1/build-py3/src/: PYTHONPATH=/builddir/build/BUILD/createrepo_c-0.16.1/build-py3/src/python/ WITH_LIBMODULEMD=ON nosetests-3.10 -s -v /builddir/build/BUILD/createrepo_c-0.16.1/tests/python/tests/
2/2 Test #2: test_python ......................***Failed    0.40 sec

50% tests passed, 1 tests failed out of 2

Total Test time (real) =   0.70 sec

The following tests FAILED:
	  2 - test_python (Failed)
Errors while running CTest
make: *** [Makefile:152: test] Error 8

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01718127-createrepo_c/

For all our attempts to build createrepo_c with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/createrepo_c/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 amatej 2020-11-09 07:51:44 UTC
PR: https://github.com/rpm-software-management/createrepo_c/pull/235

I have tried running the local mock build and with the PR it seems to work.

Comment 2 Tomáš Hrnčiar 2020-11-09 09:24:30 UTC
I can confirm that createrepo_c build with this patch in Copr with Python 3.10a2.

https://copr.fedorainfracloud.org/coprs/g/python/python3.10/build/1751728/

Thank you!

Comment 3 Ben Cotton 2021-02-09 15:21:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 4 Fedora Update System 2021-04-08 15:44:23 UTC
FEDORA-2021-13132f7ab7 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-13132f7ab7

Comment 5 Fedora Update System 2021-04-08 15:44:23 UTC
FEDORA-2021-5f581ba2f5 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5f581ba2f5

Comment 6 Fedora Update System 2021-04-08 15:44:24 UTC
FEDORA-2021-430f7a8613 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-430f7a8613

Comment 7 Fedora Update System 2021-04-08 19:07:05 UTC
FEDORA-2021-430f7a8613 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-430f7a8613`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-430f7a8613

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-04-08 20:59:14 UTC
FEDORA-2021-5f581ba2f5 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5f581ba2f5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5f581ba2f5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-04-08 21:27:09 UTC
FEDORA-2021-13132f7ab7 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-13132f7ab7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-13132f7ab7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-04-19 16:12:40 UTC
FEDORA-2021-447fb19490 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-447fb19490

Comment 11 Fedora Update System 2021-04-19 18:33:34 UTC
FEDORA-2021-447fb19490 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-447fb19490`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-447fb19490

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-04-23 15:05:10 UTC
FEDORA-2021-13132f7ab7 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-05-03 01:48:12 UTC
FEDORA-2021-447fb19490 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-05-06 01:00:22 UTC
FEDORA-2021-430f7a8613 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.